#ifndef _UTILITY_H_
#define _UTILITY_H_
#define perror(s)	log_error(s, __FILE__, __LINE__)

#ifdef BRAIN_DEAD
#if !defined(POSIX) && !defined(GCC)
typedef time_t	long;
typedef pid_t	short;
#endif
#endif

#ifdef GCC
#define time_t long
#endif

#define BOLD		1
#define UNDERLINE	2
#define BLINK		3
#define REVERSE		4

#define HI_BITS	0x1E

#ifndef lint
static char *hi_types[] = {    "ERROR!", "Bold", "Underline", "Blink",
			"Reverse", "ERROR!", "ERROR!", "ERROR!",
			"ERROR!"
};
#endif

extern char *mask2string();

#ifdef POSIX
#define bcopy(x, y, n)	memcpy(y, x, n)
#define index(s, c)	strchr(s, c)
#define rindex(s, c)	strrchr(s, c)
#endif

#if !defined(FD_SET)
#define fd_set  int
#define FD_SET(n,p)     (*(p) |= 1 << (n))
#define FD_CLR(n,p)     (*(p) &= ~(1 << (n)))
#define FD_ISSET(n,p)   (*(p) & 1 << (n))
#define FD_ZERO(p)      (*(p) = 0)
#endif
#endif
